<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 15:50:12 CEST 2020 -->
<title>org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/util/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/Adversary.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation">Adversary</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Adversary</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/Attack.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation">Attack</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Attack</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/AttackScenario.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation">AttackScenario</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Attack Scenario</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/DegradedState.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation">DegradedState</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Degraded State</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/DepEvent.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation">DepEvent</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Dep Event</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ErrorDetection.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation">ErrorDetection</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Error Detection</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ErrorHandling.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation">ErrorHandling</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Error Handling</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ErrorModel.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation">ErrorModel</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Error Model</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ErrorState.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation">ErrorState</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Error State</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/Failure.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation">Failure</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Failure</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/FaultHandling.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation">FaultHandling</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Fault Handling</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/InternalFault.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation">InternalFault</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Internal Fault</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/InternalPropagation.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation">InternalPropagation</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Internal Propagation</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/Inverted.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation">Inverted</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Inverted</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/NormalInput.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation">NormalInput</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Normal Input</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/NormalOutput.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation">NormalOutput</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Normal Output</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/NormalState.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation">NormalState</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Normal State</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/RampDown.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation">RampDown</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Ramp Down</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/StuckAt.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation">StuckAt</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Stuck At</b></em>'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/StuckAtFixed.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation">StuckAtFixed</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Stuck At Fixed</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation">ThreatsPropagationFactory</a></td>
<td class="colLast">
<div class="block">The <b>Factory</b> for the model.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation">ThreatsPropagationPackage</a></td>
<td class="colLast">
<div class="block">The <b>Package</b> for the model.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatsPropagationPackage.Literals.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation">ThreatsPropagationPackage.Literals</a></td>
<td class="colLast">
<div class="block">Defines literals for the meta objects that represent
 
   each class,
   each feature of each class,
   each enum,
   and each data type
 
 <!-- end-user-doc --></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/ThreatState.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation">ThreatState</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Threat State</b></em>'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/Vulnerability.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation">Vulnerability</a></td>
<td class="colLast">
<div class="block">A representation of the model object '<em><b>Vulnerability</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/RecoveryKind.html" title="enum in org.polarsys.chess.chessmlprofile.Dependability.ThreatsPropagation">RecoveryKind</a></td>
<td class="colLast">
<div class="block">A representation of the literals of the enumeration '<em><b>Recovery Kind</b></em>',
 and utility methods for working with them.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedDataTypes/util/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../../org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/impl/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/polarsys/chess/chessmlprofile/Dependability/ThreatsPropagation/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
